gamera (3.4.2+svn1454-1) unstable; urgency=medium

  * Update source to SVN r1454.
  * deb/control: bumped Standards-Version to 3.9.8 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Tue, 26 Apr 2016 20:35:54 +0200

gamera (3.4.2+svn1445-1) unstable; urgency=medium

  * Update source to SVN r1445:
    + dropped 0013-update-pil-plugin.patch (applied upstream).
  * deb/control:
    + updated maintainer email address.
    + bumped standards to 3.9.7 (no changes needed).
    + use HTTPS for Vcs-Git.
    + removed Testsuite field (deprecated).
  * deb/copyright: updated, cosmetics.
  * deb/rules: added BINDNOW to linker flags.

 -- Daniel Stender <stender@debian.org>  Sat, 19 Mar 2016 22:31:20 +0100

gamera (3.4.2+svn1437-2) unstable; urgency=medium

  * Added update-pil-plugin.diff (Closes: #806747).
  * deb/control:
    + depend on python-pil instead of python-imaging.
  * deb/rules:
    + dropped removal of non-deterministic djvu_threshold_plugin_00.png
      (there's some trigger for multiple non-determinisms in documentation
      images which haven't been found yet, #785529 reopened).
  * deb/tests/control:
    + added depends against python-pil{,-dbg}.
    + added depends against procps.
    + reduced line breaks.
  * Dropped deb/gamera-gui.menu (CTTE #74573).

 -- Daniel Stender <debian@danielstender.com>  Tue, 01 Dec 2015 09:07:51 +0100

gamera (3.4.2+svn1437-1) unstable; urgency=medium

  * Updated source to SVN r1437 (Closes: #793967).
  * deb/rules: just strip non-deterministic djvu_threshold_plugin_00.png
    for now (Closes: #785529).

 -- Daniel Stender <debian@danielstender.com>  Tue, 15 Sep 2015 16:05:11 +0200

gamera (3.4.2+svn1435-1) unstable; urgency=medium

  * Updated source to SVN r1435 (Closes: #785548)

 -- Daniel Stender <debian@danielstender.com>  Fri, 05 Jun 2015 16:22:56 +0200

gamera (3.4.2+svn1431-1) unstable; urgency=medium

  * Updated source to SVN r1431 (Closes: #763440, #784795).

 -- Daniel Stender <debian@danielstender.com>  Thu, 14 May 2015 12:22:43 +0200

gamera (3.4.2-1) unstable; urgency=medium

   * New upstream release.
   * Added constant-seed-for-docs.diff to make build reproducible
     by using constant seed for generation of example/documentation
     images (Closes: #775228).
   * Added docs-no-modified-timestamp.diff (Closes: #784680).
   * deb/control:
     + added dh-python to build-deps.
     + updated Vcs fields (moved to git).
   * deb/copyright: updated.
   * deb/patches:
     + fix-typos.diff: corrected path error.
     + dropped avoid_mktemp.diff, gendoc-version-parsing.diff, suppress-
       wxdebug-assertion-messages.diff, wxpython3.0-transition.diff (applied
       upstream).
     + added gendoc-no-sflogo.diff (dropped sflogo removal from deb/rules).
   * Added deb/gbp.conf.

 -- Daniel Stender <debian@danielstender.com>  Fri, 08 May 2015 14:16:58 +0200

gamera (3.4.1+svn1423-4) unstable; urgency=medium

  * Upload to unstable.
  * Specified patches Forwarded fields according to DEP-3.

 -- Daniel Stender <debian@danielstender.com>  Mon, 08 Dec 2014 01:18:36 +0100

gamera (3.4.1+svn1423-3) experimental; urgency=medium

  * Build dbg on arm64 with different optimization (Closes: #766740).
  * Some patches toggled forwarded.

 -- Daniel Stender <debian@danielstender.com>  Thu, 20 Nov 2014 13:54:10 +0100

gamera (3.4.1+svn1423-2) unstable; urgency=medium

  * Added gendoc-version-parsing.diff (Closes: #767158).

 -- Daniel Stender <debian@danielstender.com>  Wed, 12 Nov 2014 09:45:13 +0100

gamera (3.4.1+svn1423-1) unstable; urgency=medium

  * Updated source to SVN rev. 1423.
  * deb/rules: changed optimizations (Closes: #757168, thanks to Jakub Wilk).
  * deb/control:
    + bumped standards to 3.9.6 (no changes needed).
    + added XS-Testsuite (Closes: #692661, dropped override).
    + bumped dep of docs on main packages from Suggests to Recommends.
  * deb/copyright:
    + removed license for debian/dh_buildid (dropped in previous package).
    + updated some license short names.
  * deb/tests/control: removed no-build-needed (non-standard feature).
  * Corrected bug URL in suppress-wxdebug-assertion-messages.diff.
  * wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Wed, 08 Oct 2014 14:00:38 +0200

gamera (3.4.1+svn1422-1) unstable; urgency=medium

  * Updated source to SVN rev. 1422 (added doc/src/ to
    --extend-diff-ignore in deb/sources/options).
  * bumped python-wxgtk dependencies to 3.0 (Closes: #757208):
    + updated gendoc-use-wxversion.diff and gendoc-draw-text.diff.
    + added wxpython3.0-transition.diff.
    + added suppress-wxdebug-assertion-messages.diff (Closes: #758578).
    + bumped deps in deb/control.
  * bumped debhelper level to 9:
   + changed deb/compat, updated version in d/control.
   + removed deb/dh_buildid (obsolete).
  * deb/rules: added -X.txt to dh_compress for docs package (and adjusted
    .docs-base accordingly).

 -- Daniel Stender <debian@danielstender.com>  Tue, 26 Aug 2014 10:00:02 +0200

gamera (3.4.1-1) unstable; urgency=medium

  [ Daniel Stender ]
  * New upstream release (3.4.1, Closes: #747548).
  * Removed setup-no-import.diff (setup.py now provides --nowx switch,
    added that to deb/rules.)
  * Added avoid_mktemp.diff to fix CVE-2014-1937 (Closes: #737324).
  * Refreshed fix-typos.diff.
  * deb/control:
    + Changed maintainer (Closes: #629177).
    + Changed b-d from libtiff4-dev to libtiff-dev (Closes: #736004).
    + Removed unnecessary build-dep versions.
    + Dropped b-d on python_support.
    + Changed XS-Python-Version to X-Python-Version.
    + Bump standards version to 3.9.5 (no changes needed).
    + Relocated Vcs-* fields.
    + Shortened some short description lines.
  * Updated deb/copyright, sorted holders, padded, removed trailing commas.
  * deb/rules:
    + Added export lines for DH_VERBOSE and DEB_BUILD_OPTIONS.
    + Replaced dh_pysupport with dh_python2.
    + Removal of Sourceforge logo to prevent privacy-breach-logo.
  * Added absolute path to icon in gamera-gui.menu.
  * Added Keywords to deb/gamera-gui.desktop.
  * Added override for inconsistent-testsuite-field (Closes: #692661 wontfix).
  * Wrapped-and-sorted.

  [ Jakub Wilk ]
  * New upstream release (3.4.0):
    + Drop pil-import.diff; applied upstream.
    + Drop use-system-galib.diff; no longer needed.
    + Refresh other patches.
    + Drop libga-dev from Build-Depends; no longer needed.
    + Bump minimum required Python version to 2.5.
    + Add gamera/__compiletime_config__.py to debian/clean.
    + Update debian/copyright.
  * Add patch to fix spelling mistakes (fix-typos.diff).
  * Rewrite debian/rules without using dh.
    + Reduce minimum required debhelper version to 7.
  * Install *.egg-info into the binary package.
  * Override HOME, so that ~/.matplotlib/ directory is not left behind.
  * Set PYTHONHASHSEED=random in debian/rules.
  * Use canonical URIs for Vcs-* fields.

 -- Daniel Stender <debian@danielstender.com>  Fri, 25 Jul 2014 20:59:16 +0200

gamera (3.3.3-2) unstable; urgency=low

  * DEP-8 tests: use $ADTTMP.
  * Use rdfind instead of fdupes (closes: #678254).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 04 Jul 2012 16:50:39 +0200

gamera (3.3.3-1) unstable; urgency=low

  * New upstream release.
    + Drop graphmodule-fix-type-mismatch.diff; applied upstream.
    + Drop gcc-4.7-compat.diff; applied upstream.
    + Refresh other patches.
  * Improve DEP-8 tests:
    + Redirect nosetests output from stderr to stdout.
    + Copy tests to a temporary directory; remove rw-build-tree restriction.
    + Rename them, so that they match binary package names.
  * Fix compatibility with PIL ≥ 1.2.
    (pil-import.diff)

 -- Jakub Wilk <jwilk@debian.org>  Wed, 06 Jun 2012 19:37:21 +0200

gamera (3.3.2-3) unstable; urgency=low

  * Update patch headers.
  * Set manpage helper executable permissions directly in .debian.tar instead
    of changing it at build time.
  * Build -dbg extension modules without optimization.
  * Bump standards version to 3.9.3.
    + Update debian/copyright URI.
  * Build-depend on libpng-dev instead of libpng12-dev (closes: #662340).
    Thanks to Nobuhiro Iwamatsu for the bug report.
  * Port the test suite to nose (closes: #664670).
    + Add patch to fix some incompatibilities.
      (nosetests.diff)
    + Build-depend on python-nose instead of python-py.
    + Update the patch running script.
  * Cherry-pick upstream patch to fix compatibility with GCC 4.7.
    (gcc-4.7-compat.diff)
  * Update the copyright file.
  * When running tests:
    + Set sys.path directly in debian/run-tests.py rather than in debian/rules
      via PYTHONPATH.
    + Use xargs to iterate over all Python versions.
  * Run tests in override_dh_auto_test rather than in override_dh_auto_build.
  * Trap errors from pclose(3) in the test suite.
    (trap-errors-from-pclose.diff)
  * Build-depend on procps, as ps(1) is needed for the test suite.
  * Add DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 18 Apr 2012 21:23:21 +0200

gamera (3.3.2-2) unstable; urgency=low

  * Use dpkg-buildflags to set CPPFLAGS.
  * Move detached debugging symbols to /usr/lib/debug/.build-id/ (using a
    dedicated dh_buildid script).
  * Add pre-dependency on dpkg >= 1.15.6 (for data.tar.xz support).
  * Drop preinst/postrm scripts that were needed to fix #603602.
  * Create namespace package ‘gamera.toolkit’. This allows
    python-gamera.toolkit.* packages, both those using dh_python2 and those
    using python-support, to be co-importable. (namespace-package.diff)
  * Fix type mismatch in graph initialization code (hopefully closes: #650520;
    graphmodule-fix-type-mismatch.diff).
  * Add Built-Using fields to python-gamera and python-gamera-dbg.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 08 Dec 2011 01:08:04 +0100

gamera (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Export PYTHONWARNINGS=d in debian/rules to enable all warnings in Python
    code.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 23 Sep 2011 20:13:36 +0200

gamera (3.3.1-1) unstable; urgency=low

  * New upstream release.
    + Drop fix-ftbfs-gcc4.6.diff, applied upstream.
  * Demote Recommends of the documentation package to Suggests.
  * Update debian/copyright to the latest DEP-5 version.
  * Compress binary packages with xz.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 26 Aug 2011 02:56:11 +0200

gamera (3.3.0-2) unstable; urgency=low

  * Remove python-stats from Build-Depends (closes: #627726).
  * Eliminate files with duplicate contents from the documentation package
    using fdupes and a dedicated script.
    + Update debian/rules accordingly.
    + Add fdupes and python (>= 2.5) to Build-Depends-Indep.
  * Update debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 May 2011 00:58:45 +0200

gamera (3.3.0-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches. 
    + Update copyright information. 
  * Use the embedded copy of python-stats again; see bug #620159.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 04 May 2011 15:35:32 +0200

gamera (3.2.7-3) unstable; urgency=low

  * Move python-stats from Build-Depends to Build-Depends-Indep.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 16:57:33 +0200

gamera (3.2.7-2) unstable; urgency=low

  * Remove io.py, stats.py and pstat.py from the binary package.
    (Build-)depend on python-stats instead.
  * Build-depend on python-py (rather than python-codespeak-lib).
  * Bump standards version to 3.9.2 (no changes needed).
  * Add a missing include to fix FTBFS with GCC 4.6 (fix-ftbfs-gcc4.6.diff,
    LP: #770886).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 13:14:37 +0200

gamera (3.2.7-1) unstable; urgency=low

  * New upstream release.
    + Drop fix-memory-leak-to-raw-string.diff, applied upstream.
    + Refresh other patches.
    + Don't hardcode Python or wx versions at build time.
      (setup-no-import-wx.diff)
  * Strip file extension from icon name in the desktop file (closes: #609570).
    Thanks to Daniel Stender for the bug report.
  * Overhaul debian/rules.
  * Update debian/copyright to the latest DEP-5 version.
  * Include full text of CC-BY-SA-3.0 in debian/copyright.
  * Use dpkg-buildflags to set CFLAGS and LDFLAGS.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Update patch headers.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 11 Mar 2011 20:40:45 +0100

gamera (3.2.6-3) unstable; urgency=low

  * Remove /usr/include/python2.X/gamera in preinst; otherwise dpkg wouldn't
    replace directories with symlinks or vice-versa (closes: #603602).
  * Make all /usr/include/python2.X/gamera symlinks to /usr/include/gamera, so
    that the preinst script could be dropped post-Squeeze.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 22 Nov 2010 17:31:24 +0100

gamera (3.2.6-2) unstable; urgency=low

  * Bump standards version to 3.9.1 (no changes needed).
  * Update patch headers. 
  * Fix memory leak in the _to_raw_string() method (closes: #601597).
    (fix-memory-leak-to-raw-string.diff)

 -- Jakub Wilk <jwilk@debian.org>  Sat, 13 Nov 2010 15:19:41 +0100

gamera (3.2.6-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
    + Update debian/copyright.
  * Fix FTBFS with nostrip build option.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 08 Jun 2010 22:39:54 +0200

gamera (3.2.5-1) unstable; urgency=low

  * New upstream release:
    + Drop fix-unaligned-access.diff, tiff-support-64bit.diff,
      png-support-libpng.diff; all applied upstream.
    + Refresh the remaining patches.
    + Update debian/copyright.
  * Let gamera-dbg only recommend (instead of depending on) python-dbg, as the
    package can be useful even without the latter.
  * Move other *-dbg packages from gamera-dbg's Recommends: to Suggests:, as
    it's unlikely they will be helpful in debugging problems with Gamera.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 14 Apr 2010 17:35:50 +0200

gamera (3.2.4-2) unstable; urgency=medium

  * Fix two RC bugs affecting testing (hence urgency=medium):
    * Link _png_support.so with libpng on all Unix architectures (closes:
      #570809). (png-support-libpng.diff)
    * Fix unaligned memory access in the generated C code (closes: #570953).
      (fix-unaligned-access.diff)
  * Really remove upstream-applied patches from the source package.
  * Replace patch fixing TIFF export with the one applied upstream.
  * Make gamera-gui recommend python-docutils, as it's needed to display
    context help.
  * Update debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 24 Feb 2010 16:47:16 +0100

gamera (3.2.4-1) unstable; urgency=low

  * New upstream release (closes: #569820).
    + Enabling “auto-move to next unclassified glyph” no longer triggers
      IndexError exceptions (closes: #555160).
    + Drop gui-classifier-glyphs-pane.diff, gui-help-typo.diff,
      gendoc-source-path.diff, callbackset-unpickle.diff: all applied
      upstream.
    + Refresh use-system-modules.diff.
  * Run tests at build time.
    + Build-depend on python-codespeak-lib, python-imaging,
      python-imaging-dbg, python-docutils and python-pygments.
    + Clean tests/tmp/* files.
  * Fix TIFF export on 64-bit machines (closes: #570559).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 21 Feb 2010 11:45:14 +0100

gamera (3.2.3-2) unstable; urgency=low

  * Provide detached symbols in the *-dbg package.
  * Switch to source format 3.0 (quilt).
  * Make python-gamera-dev “Architecture: all”.
  * Add stricter internel dependencies between python-gamera and
    python-gamera-dev/gamera-gui.
  * Update debian/copyright in accordance to the latest DEP-5 version.
  * Use “XSPV: >= 2.4”, as recent Python Policy frowns on “XSPV: all”.
  * Move the gamera.gui.has_gui module to the python-gamera package.
  * Add Debian menu entry.
  * Add freedesktop.org desktop entry.
  * Cherry-pick fixes from the upstream VCS:
    - Work around python-docutils bug, which broke documentation generation
      (closes: #563139). (gendoc-source-path.diff)
    - Make gamera.util.CallbackSet objects unpicklable (closes: #555089).
    - The sets module is deprecated in Python 2.6. Use set objects, rather than
      sets.Set objects (updated use-system-modules.diff).
    - Fix a typo in the gamera_gui help text (gui-help-typo.diff).
    - Fix display of classifier glyphs when adding glyphs to the classifier
      (closes: #555203).
  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Update dates in debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 31 Jan 2010 17:54:45 +0100

gamera (3.2.3-1) unstable; urgency=low

  * Initial release (closes: #269527).
  * Don't use an embedded copy of the GAlib library (use-system-galib.diff).
  * Don't use an embedded copy of the VIGRA library (use-system-vigra.diff).
  * Don't use embedded copies of standard Python modules
    (use-system-python-modules.diff).
  * Make plugin/toolkit/test paths compatible with python-support. Fix the
    documentation generator to look for test files in the build directory.
    (fix-paths.diff).
  * Use a prebuilt image for the draw_text plugin documentation example if
    X server is not available (gendoc-draw-text.diff).

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 09 Oct 2009 21:18:01 +0200
